# Cleanups

Cleanups let you remove entire sets of resources (e.g. the ones that you're not using anymore) from your organization, in batches.

When you create a new cleanup, make sure to specify the `resource_type` you want to remove. Optionally, you can add some `filters` to fine-tune which resources of the selected type need to be removed and narrow the dataset to clean. The `records_count` attribute shows the number of records that will be involved in the process.

You can monitor the cleanup progress and look for any errors by inspecting the `processed_count`, `errors_count`, and `errors_log` attributes.

<details>

<summary>How-to</summary>

Check the related [guide](/core/cleaning-resources.md) for the complete list of resources that can be bulk removed and any further information about the clean-up process (e.g. associated resourced that will be automatically removed, limits, constraints, filters, and examples).

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.commercelayer.io/core-api-reference/cleanups.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
